org.apache.cassandra.utils

## Class ResourceWatcher

- java.lang.Object
- - org.apache.cassandra.utils.ResourceWatcher

    public class ResourceWatcher
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ResourceWatcher.WatchedResource`

### Constructor Summary

Constructors
Constructor and Description
`ResourceWatcher()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `watch(java.lang.String resource, java.lang.Runnable callback, int period)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceWatcher

    public ResourceWatcher()

### Method Detail

#### watch

    public static void watch(java.lang.String resource,
                             java.lang.Runnable callback,
                             int period)